%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name haml
%global rubyabi 1.9.1

Summary: An elegant, structured XHTML/XML templating engine
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 3.1.7
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://haml-lang.com/
Source0: %{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl:%scl_prefix}ruby
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl:%scl_prefix}ruby 
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or
XML
that's designed to express the structure of XHTML or XML documents
in a non-repetitive, elegant, easy way,
using indentation rather than closing tags
and allowing Ruby to be embedded with ease.
It was originally envisioned as a plugin for Ruby on Rails,
but it can function as a stand-alone templating engine.

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}

%{?scl:scl enable %scl - << \EOF}
gem build %{gem_name}.gemspec
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{_bindir} -type f | xargs chmod a+x

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

rm %{buildroot}%{gem_instdir}/.yardopts

%files
%doc %{gem_docdir}
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/REVISION
%doc %{gem_instdir}/CONTRIBUTING
%dir %{gem_instdir}
%{_bindir}/haml
%{_bindir}/html2haml
%{gem_instdir}/bin
%{gem_instdir}/Rakefile
%{gem_instdir}/extra
%{gem_instdir}/init.rb
%{gem_instdir}/rails
%{gem_instdir}/test
%{gem_instdir}/VERSION
%{gem_instdir}/VERSION_NAME
# No vendored libraries thanks
%exclude %{gem_instdir}/vendor
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%changelog
* Thu Mar 28 2013 Brenton Leanhardt <bleanhar@redhat.com> - 3.1.7-3
- Rebuild for CVE-2013-0256

* Thu Nov 08 2012 Thomas A. McGonagle <mcgonagle@redhat.com> - 3.1.7-2
- Release bump for OpenShift Enterprise Release

* Tue Sep 11 2012 Troy Dawson <tdawson@redhat.com> - 3.1.7-1
- updated to newer version

* Fri Aug 31 2012 Troy Dawson <tdawson@redhat.com> - 3.1.2-4
- Packaged to work with SCL
- Initial package
